#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		locver	4
#-----------------------------------------------------------------------------
Name		:	gcr
Version		:	4.1.0
Release		:	14.4.0.0%{?dist}
Summary		:	A library for displaying certificates
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+ and GFDL
URL		:	https://github.com/GNOME/gcr
			#http://ftp.gnome.org/pub/gnome/sources/gcr

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	glib
Buildrequires	:	gtk3+
Buildrequires	:	gtk-doc
Buildrequires	:	gi-docgen
Buildrequires	:	gtk-devel
Buildrequires	:	gobject-introspection
Buildrequires	:	libgcrypt
Buildrequires	:	libsecret
Buildrequires	:	libtasn1-devel
Buildrequires	:	libxslt
Buildrequires	:	meson
Buildrequires	:	ninja
Buildrequires	:	python3-Jinja2
Buildrequires	:	python3-MarkupSafe
Buildrequires	:	python3-markdown
Buildrequires	:	python3-typogrify
Buildrequires	:	p11-kit-devel
Buildrequires	:	vala

Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
'%{name}' is a library for displaying certificates, and
crypto UI, accessing key stores. It also provides the viewer
for crypto files on the GNOME desktop.

#-----------------------------------------------------------------------------
%files			-f %{name}-4.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_includedir}/gck-2/gck/*.h
%{_includedir}/%{name}-%{locver}/%{name}/%{name}*.h
%{_bindir}/%{name}-viewer-gtk4
%{_libdir}/libgc*.so*
%{_libdir}/pkgconfig/gc*.pc
%{_libdir}/girepository-1.0/*.typelib
%{_libexecdir}/gc*
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.{deps,vapi}

%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas >> /var/log/%{name}-yum.log 2>&1

%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor &> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D gtk_doc=false				\
	-D systemd=disabled				\
	build

meson							\
	compile						\
	-C build
 
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson							\
	install						\
	-C build					\
	--destdir=%{buildroot}				\

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}-4
#-----------------------------------------------------------------------------
%changelog
